#![allow(unsafe_code)]

use anyhow::Result;
use std::process::Command;

pub(crate) struct XSetRoot;

impl XSetRoot {
    pub(crate) fn init() -> Result<Self> {
        Ok(Self {})
    }

    pub(crate) fn render(&self, text: String) -> Result<()> {
        Command::new("xsetroot").arg("-name").arg(text).output()?;
        Ok(())
    }
}
